Bug 76429 - cvs perspective not working
Summary: cvs perspective not working
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tom Tromey
QA Contact: Tom Tromey
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-21 18:00 UTC by Need Real Name
Modified: 2014-08-11 05:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-25 19:49:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-10-21 18:00:37 UTC
Description of Problem:
open a cvs repository (eg: /cvs/src from sources.redhat.com) and expand it to
see the Branches, Head, and Versions nodes. Upon expanding Head or Versions,
neither of the nodes have any subentries under them; both are empty. The same
cvs checkout can be done from command line so there is a fault in Eclipse, not
in cvs. 

Version-Release number of selected component (if applicable):
snapshot-20021020-eclipse-linux-gtk-2.0.1-9.i386.rpm

How Reproducible:

always
Steps to Reproduce:
1. open cvs repository perspective
2. Go to New->Repository Location
3. Host: sources.redhat.com ; Repository Path: /cvs/src ; username: anoncvs;
password: anoncvs.-> Finish
4. Expand new repository -> expand Head, or expand Versions. Both empty.
5. Notice: Output on the terminal window when try to expand Head/Versions:
Unhandled exception caught in event loop.
Reason:
org/eclipse/team/internal/ccvs/core/util/Util
Unhandled exception caught in event loop.
Actual Results:


Expected Results:


Additional Information:

Comment 1 Tom Tromey 2002-10-25 19:49:37 UTC
I've fixed this in cvs.
The fix should show up in the next cvs snapshot.


Comment 2 Need Real Name 2002-11-14 20:03:54 UTC
Fixed. Verified against Nov14th rpm build


Note You need to log in before you can comment on or make changes to this bug.